using System.Web.Mvc;
using atakanozbancom;

namespace atakanozbancom.Controllers
{
    public class MainController : languageController
    {
        [HttpGet]
        public ActionResult Index()
        {
            return View();
        }

        [HttpGet]
        public ActionResult ChangeLanguage(string lang, string returnUrl)
        {
            new LanguageTR().SetLanguage(lang);
            if (!string.IsNullOrEmpty(returnUrl) && Url.IsLocalUrl(returnUrl))
                return Redirect(returnUrl);

            return RedirectToAction("Index", "Main");
        }
    }
}